// 7k_dio_latch.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "7k_dio_latch.h"
#include "7k_dio_latchDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMy7k_dio_latchApp

BEGIN_MESSAGE_MAP(CMy7k_dio_latchApp, CWinApp)
END_MESSAGE_MAP()


// CMy7k_dio_latchApp construction
CMy7k_dio_latchApp::CMy7k_dio_latchApp()
	: CWinApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CMy7k_dio_latchApp object
CMy7k_dio_latchApp theApp;

// CMy7k_dio_latchApp initialization

BOOL CMy7k_dio_latchApp::InitInstance()
{

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	CMy7k_dio_latchDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
